CatchingIteratorWrapper (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers.collection
Class CatchingIteratorWrapper<T,U>

    java.lang.Object
      org.neo4j.helpers.collection.PrefetchingIterator<T>
          org.neo4j.helpers.collection.CatchingIteratorWrapper<T,U>

All Implemented Interfaces:
  Iterator<T>

    public abstract class CatchingIteratorWrapper<T,U>

extends PrefetchingIterator<T>

Constructor Summary
`CatchingIteratorWrapper(Iterator<U> source)`

Method Summary
`protected boolean` | `exceptionOk(Throwable t)`
`protected T` | `fetchNextOrNull()`
`protected U` | `fetchNextOrNullFromSource(Iterator<U> source)`
`protected void` | `itemDodged(U item)`
`protected abstract T` | `underlyingObjectToObject(U object)`

Methods inherited from class org.neo4j.helpers.collection.PrefetchingIterator
`getPrefetchedNextOrNull, hasNext, next, remove, setPrefetchedNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatchingIteratorWrapper

    public CatchingIteratorWrapper(Iterator<U> source)

Method Detail

### fetchNextOrNull

    protected T fetchNextOrNull()

  Specified by:
    `fetchNextOrNull` in class `PrefetchingIterator<T>`

### fetchNextOrNullFromSource

    protected U fetchNextOrNullFromSource(Iterator<U> source)

### itemDodged

    protected void itemDodged(U item)

### exceptionOk

    protected boolean exceptionOk(Throwable t)

### underlyingObjectToObject

    protected abstract T underlyingObjectToObject(U object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.